﻿
using System;
using Wisej.Web;

using System.Text.RegularExpressions;

namespace TextBoxValidation
{
    public partial class Window1 : Form
    {
        public Window1()
        {
            InitializeComponent();
            this.txtFullName.Validating += txtFullName_Validating;
            this.txtFullName.Validated += txtFullName_Validated;
            this.txtCity.Validating += txtCity_Validating;
            this.txtAge.Validating += txtAge_Validating;
            this.txtPhone.Validating += txtPhone_Validating;
            this.btnOK.Click += btnOK_Click;
            
        }

        private void txtFullName_Validating(object sender, System.ComponentModel.CancelEventArgs e)
        {
            if (txtFullName.Text.Trim().Length == 0)
            {
                e.Cancel = true;
                errProvider.SetError(txtFullName, "Please enter the full name of the customer.");
            }
            else
            {
                //errProvider.SetError(txtFullName, "");
            }
        }

        private void txtFullName_Validated(object sender, EventArgs e)
        {
            AlertBox.Show("i am a valid fullname.");
            errProvider.SetError(txtFullName, "");
        }

        private void txtCity_Validating(object sender, System.ComponentModel.CancelEventArgs e)
        {
            if (txtCity.Text.Trim().Length == 0)
            {
                e.Cancel = true;
                errProvider.SetError(txtCity, "Please enter the customer's city.");
            }
            else
                errProvider.SetError(txtCity, "");
        }

        private void txtAge_Validating(object sender, System.ComponentModel.CancelEventArgs e)
        {
            if (!IsNumeric(txtAge.Text))
            {
                e.Cancel = true;
                errProvider.SetError(txtAge, "Please enter the customer's age, as a whole number.");
            }
            else
                errProvider.SetError(txtAge, "");
        }


        private void txtPhone_Validating(object sender, System.ComponentModel.CancelEventArgs e)
        {
            Match m = Regex.Match(txtPhone.Text, @"\(\d{3}\)\s\d{3}-\d{4}$");

            if (!m.Success)
            {
                e.Cancel = true;
                errProvider.SetError(txtPhone, "Please enter the customer's phone number in the format (nnn) nnn-nnnn.");
            }
            else
                errProvider.SetError(txtPhone, "");
        }

        private bool IsNumeric(string strText)
        {
            try
            {
                int test = int.Parse(strText);
                return true;
            }
            catch (Exception e)
            {
                return false;
            }
        }


        private void btnOK_Click(object sender, System.EventArgs e)
        {
            Application.Exit();
        }



    }
}
